Skip to main content
PUT
https://{tenantDomain}/api/v2
/
keys
/
custom-signing
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Keys;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Keys.CustomSigning.SetAsync(
            new SetCustomSigningKeysRequestContent {
                Keys = new List<CustomSigningKeyJwk>(){
                    new CustomSigningKeyJwk {
                        Kty = CustomSigningKeyTypeEnum.Ec
                    },
                }

            }
        );
    }

}
{
  "keys": [
    {
      "kid": "<string>",
      "use": "sig",
      "key_ops": [
        "verify"
      ],
      "n": "<string>",
      "e": "<string>",
      "x": "<string>",
      "y": "<string>",
      "x5u": "<string>",
      "x5c": [
        "<string>"
      ],
      "x5t": "<string>",
      "x5t#S256": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

JWKS representing an array of custom public signing keys.

keys
object[]
required

An array of custom public signing keys.

Minimum array length: 1

Response

Custom signing keys were successfully created or replaced.

JWKS representing an array of custom public signing keys.

keys
object[]

An array of custom public signing keys.